Bug 125166 - [PATCH]www/links: update to 2.1pre37
[PATCH]www/links: update to 2.1pre37
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Dmitry Sivachenko
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-02 00:30 UTC by bf2006a
Modified: 2008-07-15 14:20 UTC (History)
0 users

See Also:


Attachments
file.diff (1.13 KB, patch)
2008-07-02 00:30 UTC, bf2006a
no flags Details | Diff
links.txt (1.12 KB, text/plain)
2008-07-07 15:18 UTC, bf2006a
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description bf2006a 2008-07-02 00:30:03 UTC
Various small bugfixes: see ChangeLog for details.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2008-07-02 00:30:10 UTC
Responsible Changed
From-To: freebsd-ports-bugs->demon

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 bf2006a 2008-07-07 15:15:52 UTC
Please consider the following patch instead: it updates links to a more recent version, which, among other things, contains an important security fix for those using proxies.  In the new patch I bumped PORTEPOCH, because the Ports version-parsing code erroneously concludes that 2.1pre37 is the 37th patched version of 2.1, rather than a prerelease version predating 2.1.

Regards,  
        b.f.
Comment 3 bf2006a 2008-07-07 15:18:52 UTC
It would have helped if I had attached the patch to the previous message, wouldn't it?  Here it is.

--- On Mon, 7/7/08, bf <bf2006a@yahoo.com> wrote:

> From: bf <bf2006a@yahoo.com>
> Subject: ports/125166: [PATCH]www/links: update to 2.1pre37
> To: bug-followup@FreeBSD.org, demon@FreeBSD.org
> Date: Monday, July 7, 2008, 10:15 AM
> Please consider the following patch instead: it updates
> links to a more recent version, which, among other things,
> contains an important security fix for those using proxies.
>  In the new patch I bumped PORTEPOCH, because the Ports
> version-parsing code erroneously concludes that 2.1pre37 is
> the 37th patched version of 2.1, rather than a prerelease
> version predating 2.1.
> 
> Regards,  
>         b.f.


      
Comment 4 Dmitry Sivachenko freebsd_committer 2008-07-15 14:09:44 UTC
State Changed
From-To: open->closed

Port updated, thanks!
Comment 5 dfilter freebsd_committer 2008-07-15 14:10:19 UTC
demon       2008-07-15 13:09:31 UTC

  FreeBSD ports repository

  Modified files:
    www/links            Makefile distinfo 
  Log:
  Update to 2.1-pre37.
  
  PR:             125166
  Submitted by:   bf <bf2006a@yahoo.com>
  
  Revision  Changes    Path
  1.55      +1 -2      ports/www/links/Makefile
  1.26      +3 -3      ports/www/links/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"